Cannot install license key: Error: The license key is invalid. In order to use Plesk, please obtain and install a new valid license key

Created:

2017-01-23 15:51:20 UTC

Modified:

2017-08-08 13:41:24 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot install license key: Error: The license key is invalid. In order to use Plesk, please obtain and install a new valid license key

Applicable to:

  • Plesk for Linux

Issue Symptoms

  • License key installation fails with the following error:
Error: The license key is invalid. In order to use Plesk, please obtain and install a new valid license key.
The license key is intended only for use with Parallels Plesk operating inside the following virtual environments: Parallels Virtuozzo Containers, VMWare, Microsoft Hyper-V, Xen, KVM, Parallels Server.
  • Installing a key through CLI fails with the following error:
# plesk bin license -i XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX
PHP Warning: Invalid argument supplied for foreach(); File: /usr/local/psa/admin/plib/StatInfo.php, Line: 372

PHP Warning: reset() expects parameter 1 to be array, boolean given; File: /usr/local/psa/admin/plib/StatInfo.php, Line: 309

The license key was successfully installed.
PHP Warning: Invalid argument supplied for foreach(); File: /usr/local/psa/admin/plib/StatInfo.php, Line: 372

PHP Warning: reset() expects parameter 1 to be array, boolean given; File: /usr/local/psa/admin/plib/StatInfo.php, Line: 309

PHP Warning: reset() expects parameter 1 to be array, boolean given; File: /usr/local/psa/admin/plib/StatInfo.php, Line: 411

PHP Warning: Invalid argument supplied for foreach(); File: /usr/local/psa/admin/plib/ExtendedServerInfo.php, Line: 1718

PHP Warning: reset() expects parameter 1 to be array, boolean given; File: /usr/local/psa/admin/plib/StatInfo.php, Line: 411

PHP Warning: Invalid argument supplied for foreach(); File: /usr/local/psa/admin/plib/ExtendedServerInfo.php, Line: 1733
  • Following file is empty:
# ls -al /usr/local/psa/admin/sbin/wrapper
---s--x---. 1 root psaadm     0 jan 22 21:31 /usr/local/psa/admin/sbin/wrapper

Cause

Corrupted /usr/local/psa/admin/sbin/ wrapper binary file.

Resolution

Reinstall plesk-service-node-utilities package, it can be downloaded from

https://autoinstall.plesk.com/PLESK_version/YOUR_OS/opt/agent , for example:

# rpm -Uhv --force https://autoinstall.plesk.com/PSA_12.5.30/dist-rpm-CentOS-7-x86_64/opt/agent/plesk-service-node-utilities-12.5.30-cos7.build1205150826.19.x86_64.rpm
1:plesk-service-node-utilities-12.5################################# [100%]
Have more questions? Submit a request
Please sign in to leave a comment.